import { PublicKey } from '@solana/web3.js';
import { Idl } from "@project-serum/anchor/src/idl";
export declare const BRIDGE_POOL_IDL: Idl;
export declare const LARIX_LOCK_IDL: Idl;
export declare const WRAPPED_SOL_MINT: PublicKey;
export declare const TOKEN_PROGRAM_ID: PublicKey;
export declare const LARIX_LOCK_FARM_INFO: {
    programId: PublicKey;
    poolId: PublicKey;
    poolAuthority: PublicKey;
    poolLpTokenAccount: PublicKey;
    poolRewardTokenAccount: PublicKey;
    poolRewardTokenAccountB: PublicKey;
};
export declare const LARIX_LOCK_AMM_INFO: {
    lpMint: PublicKey;
    programId: PublicKey;
    ammId: PublicKey;
    ammAuthority: PublicKey;
    ammOpenOrders: PublicKey;
    ammTargetOrders: PublicKey;
    poolCoinTokenAccount: PublicKey;
    poolPcTokenAccount: PublicKey;
    poolWithdrawQueue: PublicKey;
    poolTempLpTokenAccount: PublicKey;
    serumProgramId: PublicKey;
    serumMarket: PublicKey;
    serumBids: PublicKey;
    serumAsks: PublicKey;
    serumEventQueue: PublicKey;
    serumCoinVaultAccount: PublicKey;
    serumPcVaultAccount: PublicKey;
    serumVaultSigner: PublicKey;
};
