"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LARIX_LOCK_AMM_INFO = exports.LARIX_LOCK_FARM_INFO = exports.TOKEN_PROGRAM_ID = exports.WRAPPED_SOL_MINT = exports.LARIX_LOCK_IDL = exports.BRIDGE_POOL_IDL = void 0;
const web3_js_1 = require("@solana/web3.js");
//@ts-ignore
const raydium_bridge_json_1 = __importDefault(require("../idl/raydium_bridge.json"));
// @ts-ignore
const larix_lock_pool_json_1 = __importDefault(require("../idl/larix_lock_pool.json"));
// @ts-ignore
exports.BRIDGE_POOL_IDL = raydium_bridge_json_1.default;
// @ts-ignore
exports.LARIX_LOCK_IDL = larix_lock_pool_json_1.default;
exports.WRAPPED_SOL_MINT = new web3_js_1.PublicKey('So11111111111111111111111111111111111111112');
exports.TOKEN_PROGRAM_ID = new web3_js_1.PublicKey('TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA');
exports.LARIX_LOCK_FARM_INFO = {
    programId: new web3_js_1.PublicKey('9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z'),
    poolId: new web3_js_1.PublicKey('HzxveT6pUMwYByqnScvTbpUv4avzkUDrDpS9D7DToEry'),
    poolAuthority: new web3_js_1.PublicKey('sCDx3LzV8jPFX1VuRQDAGNKVfiCvhvrv3tJijaXzhXw'),
    poolLpTokenAccount: new web3_js_1.PublicKey('6PpGF8xRLwpDdVMQHQoBhrrXuUh5Gs4dCMs1DPanpjHM'),
    poolRewardTokenAccount: new web3_js_1.PublicKey('7tPiMrZB6kct1xNWLtG1jJqJYUJaG8548bEaJsb5HdXq'),
    poolRewardTokenAccountB: new web3_js_1.PublicKey('DXo3ffHBd69c9tV4wWBtFhc95UZMfYJehGnk3ViifSQ3')
};
exports.LARIX_LOCK_AMM_INFO = {
    lpMint: new web3_js_1.PublicKey("7yieit4YsNsZ9CAK8H5ZEMvvk35kPEHHeXwp6naoWU9V"),
    programId: new web3_js_1.PublicKey("675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8"),
    ammId: new web3_js_1.PublicKey("A21ui9aYTSs3CbkscaY6irEMQx3Z59dLrRuZQTt2hJwQ"),
    ammAuthority: new web3_js_1.PublicKey("5Q544fKrFoe6tsEbD7S8EmxGTJYAKtTVhAW5Q5pge4j1"),
    ammOpenOrders: new web3_js_1.PublicKey("3eCx9tQqnPUUCgCwoF5pXJBBQSTHKsNtZ46YRzDxkMJf"),
    ammTargetOrders: new web3_js_1.PublicKey("rdoSiCqvxNdnzuZNUZnsXGQpwkB1jNPctiS194UtK7z"),
    poolCoinTokenAccount: new web3_js_1.PublicKey("HUW3Nsvjad7jdexKu9PUbrq5G7XYykD9us25JnqxphTA"),
    poolPcTokenAccount: new web3_js_1.PublicKey("4jBvRQSz5UDRwZH8vE6zqgqm1wpvALdNYAndteSQaSih"),
    poolWithdrawQueue: new web3_js_1.PublicKey('Dt8fAfftoVcFicC8uHgKpWtdJHA8e4xCPeoVRCfounDy'),
    poolTempLpTokenAccount: new web3_js_1.PublicKey('FQ3XFCQAEjK1U235pgaB9nRPU1fkQaLjKQiWYYNzB5Fr'),
    serumProgramId: new web3_js_1.PublicKey("9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin"),
    serumMarket: new web3_js_1.PublicKey('DE6EjZoMrC5a3Pbdk8eCMGEY9deeeHECuGFmEuUpXWZm'),
    serumBids: new web3_js_1.PublicKey('2ngvymBN8J3EmGsVyrPHhESbF8RoBBaLdA4HBAQBTcv9'),
    serumAsks: new web3_js_1.PublicKey('BZpcoVeBbBytjY6vRxoufiZYB3Te4iMxrpcZykvvdH6A'),
    serumEventQueue: new web3_js_1.PublicKey('2sZhugKekfxcfYueUNWNsyHuaYmZ2rXsKACVQHMrgFqw'),
    serumCoinVaultAccount: new web3_js_1.PublicKey('JDEsHM4igV84vbH3DhZKvxSTHtswcNQqVHH9RDq1ySzB'),
    serumPcVaultAccount: new web3_js_1.PublicKey('GKU4WhnfYXKGeYxZ3bDuBDNrBGupAnnh1Qhn91eyTcu7'),
    serumVaultSigner: new web3_js_1.PublicKey('4fGoqGi6jR78dU9TRdL5LvBUPjwnoUCBwxNjfFxcLaCw'),
};
