import BN from "bn.js";
import { State, Reserve } from "../../../models";
import { Connection, PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
export declare const depositMining: (connection: Connection, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], sourceAccount: PublicKey, depositReserve: State<Reserve>, depositAmount: BN, wallet: PublicKey, lendingMarket: PublicKey, mining: PublicKey, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey) => Promise<void>;
