"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.depositMining = void 0;
const depositMining_1 = require("../../../models/instructions/depositMining");
const depositMining = (connection, signers, instructions, cleanupInstructions, sourceAccount, depositReserve, depositAmount, wallet, lendingMarket, mining, lendingProgramID, lendingMarketAuthority) => __awaiter(void 0, void 0, void 0, function* () {
    instructions.push((0, depositMining_1.createDepositMiningInstruction)(mining, depositAmount, sourceAccount, depositReserve, lendingMarket, lendingProgramID, lendingMarketAuthority, wallet, wallet));
});
exports.depositMining = depositMining;
