import { State, Reserve } from "../../../models";
import { Connection, PublicKey, Signer, TransactionInstruction } from '@solana/web3.js';
import BN from "bn.js";
import { MarketConfig } from "../../../config";
export declare const redeemReserveCollateral: (connection: Connection, marketConfig: MarketConfig, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], sourceCollateral: PublicKey, collateralAmount: BN, wallet: PublicKey, detailReserve: State<Reserve>, destinationLiquidity: PublicKey, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey, withdrawLpAccount?: PublicKey | undefined) => Promise<void>;
