import BN from "bn.js";
import { State, Reserve } from "../../../models";
import { Connection, PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
export declare const withdrawMining: (connection: Connection, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], mining: PublicKey, destinationAccount: PublicKey, reserve: State<Reserve>, withdrawAmount: BN, wallet: PublicKey, lendingMarket: PublicKey, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey) => Promise<void>;
