import { Connection, PublicKey, Signer, TransactionInstruction } from '@solana/web3.js';
import { Reserve, State, Obligation } from '../../../models';
import BN from "bn.js";
import { MarketConfig } from "../../../config";
export declare const withdrawObligationCollateral: (connection: Connection, marketConfig: MarketConfig, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], obligationDetail: State<Obligation>, collateralAmount: BN, destinationCollateral: PublicKey, withdrawReserveDetail: State<Reserve>, wallet: PublicKey, allReserve: Array<State<Reserve>>, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey) => Promise<void>;
