/// <reference types="bn.js" />
import { LarixMining, LarixObligation } from "../../larixUserInfo";
import { BN } from "@project-serum/anchor";
import { LarixInstructionCollector } from "../../utils/larixInstructionCollector";
import { BaseAction } from "./util/baseAction";
import { LarixReserve } from "../../larixMarket";
export declare class WithdrawAction extends BaseAction {
    withdraw(collateralAmount: BN, reserve: LarixReserve, larixMining?: LarixMining, larixObligation?: LarixObligation): Promise<LarixInstructionCollector>;
    private withdrawLpAccountProvider;
}
