import { Keypair, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
export declare function createInitUserLarixInfoInstruction(program: Program, larixPoolId: PublicKey, owner: PublicKey, payer: PublicKey, userLarixInfo: Keypair): import("@solana/web3.js").TransactionInstruction;
export declare function createCloseUserLarixInfoInstruction(program: Program, userLarixInfoId: PublicKey, owner: PublicKey, destination: PublicKey): import("@solana/web3.js").TransactionInstruction;
