import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import BN from "bn.js";
import { State, Reserve } from "../../models";
export declare const createWithdrawMiningInstruction: (mining: PublicKey, depositAmount: BN, destinationAccount: PublicKey, reserve: State<Reserve>, lendingMarket: PublicKey, lendingMarketAuthority: PublicKey, miningOwner: PublicKey, lendingProgramID: PublicKey) => TransactionInstruction;
