/// <reference types="node" />
import BufferLayout from "buffer-layout";
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { State } from "../state";
export declare const STAKE_INFO_LAYOUT: typeof BufferLayout.Structure;
export declare const STAKE_INFO_LAYOUT_V4: typeof BufferLayout.Structure;
export declare const FarmPoolParser: (pubkey: PublicKey, info: AccountInfo<Buffer> | null) => State<any>;
