import BigNumber from "bignumber.js";
import { RpcResponseAndContext, SignatureResult } from "@solana/web3.js";
import { LarixInstruction } from "../utils/larixInstructionCollector";
export interface PriceInfo {
    price: BigNumber;
    decimals: number;
}
export declare const DEFAULT_PRICE_INFO: PriceInfo;
export interface TransactionResult {
    id: string;
    instruction: LarixInstruction | undefined;
    result: RpcResponseAndContext<SignatureResult>;
}
