import { Connection, PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { Provider } from "@project-serum/anchor";
export declare function getConnection(url: string): Connection;
export declare function getProvider(connection: Connection): Promise<Provider>;
export declare function isReachTransactionLimit(connection: Connection, user: PublicKey, instructions: TransactionInstruction[], signers: Signer[]): boolean;
export declare function getTransactionLength(connection: Connection, user: PublicKey, instructions: TransactionInstruction[], signers: Signer[]): number;
