/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { LarixInstructionCollector } from "../../utils/larixInstructionCollector";
import { BaseAction } from "./util/baseAction";
import { LarixReserve } from "../../larixMarket";
import { LarixMining, LarixObligation } from "../../larixUserInfo";
export declare class DepositAction extends BaseAction {
    deposit(amount: BN, depositReserve: LarixReserve, larixMining?: LarixMining, larixObligation?: LarixObligation): Promise<LarixInstructionCollector>;
}
