/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { LarixInstructionCollector } from "../../utils/larixInstructionCollector";
import { BaseAction } from "./util/baseAction";
import { LarixReserve } from "../../larixMarket";
import { LarixObligation } from "../../larixUserInfo";
export declare class RepayAction extends BaseAction {
    /**
     *
     * @param amount U64_MAX will repay all
     * @param repayReserve
     * @param larixObligation
     */
    repay(amount: BN, repayReserve: LarixReserve, larixObligation: LarixObligation): Promise<LarixInstructionCollector>;
}
