import { Connection, PublicKey, Signer, TransactionInstruction } from '@solana/web3.js';
import { State, Obligation, Reserve } from '../../../models';
import BN from "bn.js";
export declare const depositObligationCollateral: (connection: Connection, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], wallet: PublicKey, collateralAmount: BN, sourceCollateral: PublicKey, depositReserveDetail: State<Reserve>, obligation: State<Obligation>, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey) => Promise<void>;
