import { Connection, PublicKey, Signer, TransactionInstruction } from '@solana/web3.js';
import { State, Reserve } from '../../../models';
import BN from "bn.js";
export declare const depositReserveLiquidity: (connection: Connection, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], source: PublicKey, depositAmount: BN, wallet: PublicKey, detailReserve: State<Reserve>, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey, destinationCollateralAccount?: PublicKey | undefined) => Promise<PublicKey>;
