import { Connection, PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { State, Obligation, Reserve } from "../../../models";
import { MarketConfig } from "../../../config";
export declare function refreshObligation(connection: Connection, marketConfig: MarketConfig, signers: Signer[], instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], obligation: State<Obligation>, allReserve: Array<State<Reserve>>, lendingProgramID: PublicKey, borrowReserve?: State<Reserve>): Promise<void>;
