"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdrawMining = void 0;
const withdrawMining_1 = require("../../../models/instructions/withdrawMining");
const withdrawMining = (connection, signers, instructions, cleanupInstructions, mining, destinationAccount, reserve, withdrawAmount, wallet, lendingMarket, lendingProgramID, lendingMarketAuthority) => __awaiter(void 0, void 0, void 0, function* () {
    instructions.push((0, withdrawMining_1.createWithdrawMiningInstruction)(mining, withdrawAmount, destinationAccount, reserve, lendingMarket, lendingMarketAuthority, wallet, lendingProgramID));
});
exports.withdrawMining = withdrawMining;
