import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import BN from "bn.js";
import { State, Reserve } from "../../models";
export declare const createDepositMiningInstruction: (mining: PublicKey, depositAmount: BN, sourceAccount: PublicKey, reserve: State<Reserve>, lendingMarket: PublicKey, lendingProgramID: PublicKey, lendingMarketAuthority: PublicKey, miningOwner: PublicKey, transferAuthority: PublicKey) => TransactionInstruction;
