import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import BN from "bn.js";
export interface Params {
    obligation?: PublicKey;
    destination?: PublicKey;
    sourceAccount?: PublicKey;
    larixLockProgram?: PublicKey;
    larixLockPool?: PublicKey;
    userLarixInfoAccount?: PublicKey;
}
export declare function createClaimMineInstruction(lendingMarket: PublicKey, lendingMarketAuthority: PublicKey, owner: PublicKey, mining: PublicKey, claimTimes: BN, claimRatio: BN, lendingProgaramId: PublicKey, other: Params): TransactionInstruction;
