import { PublicKey, TransactionInstruction } from '@solana/web3.js';
import BN from "bn.js";
export declare const createLiquidateInstruction: (liquidityAmount: BN, sourceLiquidity: PublicKey, destinationCollateral: PublicKey, repayReserve: PublicKey, repayReserveLiquiditySupply: PublicKey, withdrawReserve: PublicKey, withdrawReserveCollateralSupply: PublicKey, obligation: PublicKey, lendingMarket: PublicKey, lendingMarketAuthority: PublicKey, userTransferAuthority: PublicKey, lendingProgramID: PublicKey) => TransactionInstruction;
