/// <reference types="node" />
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { State } from "../state";
import BN from "bn.js";
export interface FarmLedger {
    state: BN;
    id: PublicKey;
    owner: PublicKey;
    deposited: BN;
    rewardDebt: BN;
    rewardDebtB: BN;
}
export declare const FarmLedgerParser: (pubkey: PublicKey, info: AccountInfo<Buffer> | null) => State<FarmLedger>;
