/// <reference types="node" />
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { AccountInfo as TokenAccountInfo } from "@solana/spl-token";
export interface TokenAccount {
    pubkey: PublicKey;
    account: AccountInfo<Buffer>;
    info: TokenAccountInfo;
}
export declare const TokenAccountParser: (pubKey: PublicKey, info: AccountInfo<Buffer> | null) => TokenAccount;
export declare const deserializeAccount: (data: Buffer) => any;
