import { MarketConfig } from "../config";
import { Program } from "@project-serum/anchor";
import { Connection, PublicKey } from "@solana/web3.js";
import { BridgePool } from "../models";
export declare function getBridgeProgram(connection: Connection, marketConfig: MarketConfig): Promise<Program>;
export declare function getBridgePool(bridgePoolID: PublicKey, connection: Connection, marketConfig: MarketConfig): Promise<BridgePool>;
